Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77365 - Anaconda crashes when it tries to mount a root device
Summary: Anaconda crashes when it tries to mount a root device
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-05 21:32 UTC by Marcin Krzywdzinski
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-08 08:28:01 UTC


Attachments (Terms of Use)

Description Michael Fulbright 2002-11-06 16:52:01 UTC
Could you please attach the /etc/fstab file to this report from the current system?

Comment 1 Marcin Krzywdzinski 2002-11-08 08:27:55 UTC
LABEL=/                 /                       ext2    defaults              1
1 # /dev/hda6
LABEL=/backup           /backup                 ext2    defaults               
1 2 # /dev/hda5
LABEL=/boot             /boot                   ext2    defaults               
1 2 # /dev/hda1
LABEL=/home             /home                   ext2    exec,dev,suid,rw       
1 2 # /dev/hda7
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro         0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner            0 0
LABEL=/opt              /opt                    ext2    defaults               
1 2 # /dev/hda3
LABEL=/ora/data01       /ora/data01             ext2    defaults               
1 2 # /dev/hda8
LABEL=/syb/data01       /syb/data01             ext2    defaults               
1 2 # /dev/hda9
LABEL=/tmp              /tmp                    ext2    defaults               
1 2 # /dev/hda11
LABEL=/var              /var                    ext2    defaults               
1 2 # /dev/hda10
LABEL=/opt/httpd        /opt/httpd              ext2    defaults               
1 3 # /dev/hda13
none                    /proc                   proc    defaults                0 0
none                    /dev/shm                tmpfs   defaults                0 0
none                    /dev/pts                devpts  gid=5,mode=620          0 0
/dev/hda12              swap                    swap    defaults                0 0


Comment 2 Marcin Krzywdzinski 2002-11-13 08:40:09 UTC
I solved the problem. My fstab file consisted of a comment at the end of the 
line. 'fstab' file is read using a format mask "%-23s %-23s %-7s %-15s %d %
d\n", so any chars at the end of the line caused that the line did not match a 
format and was not read. That why the root partition was not seen.
        
File fsset.py
def fstab (self):
        format = "%-23s %-23s %-7s %-15s %d %d\n"
        ....


Note You need to log in before you can comment on or make changes to this bug.